export default {

    state: {
        user: {}
    },

    getters: {
        getUser (state)  {
            return state.user
        },

    },

    actions: {
        setUser({commit}, user){
            commit('setUser', user)
        },

        logOut({commit}) {
            commit('LOG_OUT')
        }
    },

    mutations: {
        setUser (state, user) {
            state.user = user
        },

        LOG_OUT (state) {
            state.user = {}
        }
    }

}
