package com.bachelortask.warehouseapp.categories;

import com.bachelortask.warehouseapp.category.Category;
import com.bachelortask.warehouseapp.product.Product;

import javax.persistence.Column;
import javax.persistence.Entity;

@Entity
public class TV extends TechProduct {

    @Column(
            name = "screen",
            nullable = false,
            columnDefinition = "TEXT"
    )
    private String screen;

    @Column(
            name = "is_smart",
            nullable = false,
            columnDefinition = "BOOLEAN"
    )
    private boolean isSmart;

    public TV() {
    }

    public TV(String name, String description, String img, Double price,
              Category category, String producer, String model, String screen, boolean isSmart) {
        super(name, description, img, price, category, producer, model);
        this.screen = screen;
        this.isSmart = isSmart;
    }

    public String getScreen() {
        return screen;
    }

    public void setScreen(String screen) {
        this.screen = screen;
    }

    public boolean isSmart() {
        return isSmart;
    }

    public void setSmart(boolean smart) {
        isSmart = smart;
    }
}
