import Vue from 'vue'
import App from './App.vue'
import router from './router/router'
import store from './store'
import { BootstrapVue, IconsPlugin,
  CarouselPlugin, DropdownPlugin, FormRadioPlugin} from "bootstrap-vue";



import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'

Vue.use(BootstrapVue)
Vue.use(IconsPlugin)
Vue.use(CarouselPlugin, DropdownPlugin, FormRadioPlugin)

Vue.config.productionTip = false

new Vue({
  router,
  store: store,
  render: h => h(App)
}).$mount('#app')
