import axios from "axios";

export default {

    state: {
        searchProducts: []
    },

    getters: {
        getSearchProducts: state => {
            return state.searchProducts
        }
    },

    actions: {
        setSearchProduct({commit}, text){
            axios.get('http://localhost:8090/search/'+ text)
                .then(response => {commit('setSearchProducts', response.data)})
        }
    },

    mutations: {
        setSearchProducts (state, searchProduct) {
            state.searchProducts = searchProduct
        },
    }

}
