package com.bachelortask.warehouseapp.categories;

import com.bachelortask.warehouseapp.category.Category;
import com.bachelortask.warehouseapp.product.Product;

import javax.persistence.Column;
import javax.persistence.Entity;

@Entity
public class Computer extends TechProduct {

    @Column(
            name = "cpu",
            nullable = false,
            columnDefinition = "TEXT"
    )
    private String cpu;

    @Column(
            name = "ram",
            nullable = false,
            columnDefinition = "TEXT"
    )
    private String ram;


    public Computer() {
    }


    public Computer(String name, String description, String img, Double price,
                    Category category, String producer, String model, String cpu, String ram) {
        super(name, description, img, price, category, producer, model);
        this.cpu = cpu;
        this.ram = ram;
    }



    public String getCpu() {
        return cpu;
    }

    public void setCpu(String cpu) {
        this.cpu = cpu;
    }

    public String getRam() {
        return ram;
    }

    public void setRam(String ram) {
        this.ram = ram;
    }
}
