package com.bachelortask.warehouseapp.order;


import com.bachelortask.warehouseapp.review.Review;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface OrderRepository extends JpaRepository<Orders, Long> {

    @Query("SELECT o FROM Orders o WHERE o.customer.id = ?1")
    public List<Orders> findOrdersByCustomerId(Long customerId);

    @Query("SELECT o FROM Orders o WHERE o.product.id = ?1")
    public List<Orders> findOrdersByProductId(Long productId);

}
