package com.bachelortask.warehouseapp.review;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Optional;

public interface ReviewRepository extends JpaRepository<Review, Long> {

    //TODO order by rating??
    @Query("SELECT r FROM Review r WHERE r.product.id = ?1")
    public List<Review> findReviewByProductId(Long productId);



}
