package com.bachelortask.warehouseapp.warehouse;

import com.bachelortask.warehouseapp.product.Product;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class WarehouseController {
    @Autowired
    private WarehouseService warehouseService;

    /**
     * Returns list of warehouses
     * @return
     */
    @RequestMapping("/warehouses")
    @CrossOrigin(origins = "http://localhost:8080")
    public List<Warehouse> getWarehouses() {
        return warehouseService.getWarehouses();
    }
}
