package com.bachelortask.warehouseapp.warehouse;

import com.bachelortask.warehouseapp.product.Product;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class WarehouseService {
    @Autowired
    private WarehouseRepository warehouseRepository;

    /**
     * Gets list of warehouses from database
     * @return
     */
    public List<Warehouse> getWarehouses() {
        List<Warehouse> warehouses = new ArrayList<>();
        warehouseRepository.findAll().forEach(warehouses::add);
        return warehouses;
    }
}
